## org.mortbay.cometd
Class MessageImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,Object>
              org.mortbay.cometd.MessageImpl

All Implemented Interfaces:
  Message, Serializable, Cloneable, Map<String,Object>, JSON.Generator

    public class MessageImpl

extends HashMap<String,Object>
implements Message, JSON.Generator

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`MessageImpl()`
`MessageImpl(MessagePool bayeux)`

Method Summary
`void` `addJSON(StringBuffer buffer)`
`void` `clear()`
`void` `decRef()`
`Set<Map.Entry<String,Object>>` `entrySet()`
`Message` `getAssociated()`
`String` `getChannel()`
`String` `getClientId()`
`Object` `getData()`
`String` `getId()`
`String` `getJSON()`
`void` `incRef()`
`Set<String>` `keySet()`
`Object` `put(String key, Object value)`
`void` `putAll(Map<? extends String,? extends Object> m)`
`Object` `remove(Object key)`
`void` `setAssociated(Message associated)`

Methods inherited from class java.util.HashMap
`clone, containsKey, containsValue, get, isEmpty, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, containsValue, equals, get, hashCode, isEmpty, size, values`

Constructor Detail

### MessageImpl

    public MessageImpl()

### MessageImpl

    public MessageImpl(MessagePool bayeux)

Method Detail

### incRef

    public void incRef()

### decRef

    public void decRef()

### getChannel

    public String getChannel()

  Specified by:
    `getChannel` in interface `Message`

### getClientId

    public String getClientId()

  Specified by:
    `getClientId` in interface `Message`

### getId

    public String getId()

  Specified by:
    `getId` in interface `Message`

### getData

    public Object getData()

  Specified by:
    `getData` in interface `Message`

### addJSON

    public void addJSON(StringBuffer buffer)

  Specified by:
    `addJSON` in interface `JSON.Generator`

### getJSON

    public String getJSON()

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,Object>`
  Overrides:
    `clear` in class `HashMap<String,Object>`

### put

    public Object put(String key,
                      Object value)

  Specified by:
    `put` in interface `Map<String,Object>`
  Overrides:
    `put` in class `HashMap<String,Object>`

### putAll

    public void putAll(Map<? extends String,? extends Object> m)

  Specified by:
    `putAll` in interface `Map<String,Object>`
  Overrides:
    `putAll` in class `HashMap<String,Object>`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map<String,Object>`
  Overrides:
    `remove` in class `HashMap<String,Object>`

### entrySet

    public Set<Map.Entry<String,Object>> entrySet()

  Specified by:
    `entrySet` in interface `Map<String,Object>`
  Overrides:
    `entrySet` in class `HashMap<String,Object>`

### keySet

    public Set<String> keySet()

  Specified by:
    `keySet` in interface `Map<String,Object>`
  Overrides:
    `keySet` in class `HashMap<String,Object>`

### getAssociated

    public Message getAssociated()

  Specified by:
    `getAssociated` in interface `Message`

### setAssociated

    public void setAssociated(Message associated)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.